/***********************************************
 * THEME: FIXED FOOTER
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof gsap == 'undefined') {
		return;
	}

	VLTJS.fixedFooterEffect = {
		init: function () {

			var footer = $('.vlt-footer.vlt-footer--fixed'),
				delta = .75,
				translateY = 0;

			if (footer.length && VLTJS.window.outerWidth() >= 768) {

				VLTJS.window.on('load scroll', function () {

					var footerHeight = footer.outerHeight(),
						windowHeight = VLTJS.window.outerHeight(),
						documentHeight = VLTJS.document.outerHeight();

					translateY = delta * (Math.max(0, $(this).scrollTop() + windowHeight - (documentHeight - footerHeight)) - footerHeight);

				}).trigger('scroll');

				gsap.ticker.add(function () {

					gsap.set(footer, {
						translateY: translateY,
						translateZ: 0,
					});

				});

			}

		}

	};

	if (!VLTJS.isMobile.any()) {

		VLTJS.fixedFooterEffect.init();

		VLTJS.debounceResize(function () {
			VLTJS.fixedFooterEffect.init();
		});

	}

})(jQuery);