/***********************************************
 * WIDGET: PIE CHART
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof gsap === 'undefined') {
		return;
	}

	VLTJS.pieChart = {
		init: function ($scope) {

			var chart = $scope.find('.vlt-pie-chart'),
				chart_value = chart.data('chart-value') || 0,
				chart_animation_duration = chart.data('chart-animation-duration') || 0,
				delay = 150,
				obj = {
					count: 0
				};

			chart.one('inview', function () {

				gsap.to(chart, chart_animation_duration / 1000, {
					'--final-value': chart_value
				});

				gsap.to(obj, chart_animation_duration / 1000, {
					count: chart_value,
					delay: delay / 1000,
					onUpdate: function () {
						chart.find('.vlt-pie-chart__title > .counter').text(Math.round(obj.count));
					}
				});

			});

		}
	}

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-pie-chart.default',
			VLTJS.pieChart.init
		);
	});

})(jQuery);