/***********************************************
 * SHOWCASE: STYLE 1
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	// check if plugin defined
	if (typeof gsap == 'undefined') {
		return;
	}

	var showcaseStyle1 = function ($scope) {

		var showcase = $scope.find('.vlt-showcase--style-1'),
			current = showcase.find('.vlt-showcase-pagination .current');

		VLTJS.html.css('overflow', 'hidden');

		function _mode_down_text(element, speed) {

			var slideActive = element.find('.swiper-slide-active'),
				slideCaption = slideActive.find('.vlt-showcase-content'),
				oldActive = element.find('.swiper-slide-prev, .swiper-slide-prev'),
				oldCaption = oldActive.find('.vlt-showcase-content');

			speed = speed / 1000;

			// out
			gsap.to(oldCaption, speed, {
				y: 60,
				autoAlpha: 0,
			});

			// in
			gsap.fromTo(slideCaption, speed, {
				y: 60,
				autoAlpha: 0
			}, {
				y: 0,
				autoAlpha: 1,
				delay: speed
			});

		}

		var swiper = new Swiper(showcase, {
			init: false,
			direction: 'vertical',
			loop: false,
			grabCursor: true,
			resistance: true,
			resistanceRatio: 0.5,
			slidesPerView: 1,
			allowTouchMove: true,
			speed: 900,
			autoplay: false,
			mousewheel: true,
			parallax: true,
			navigation: {
				nextEl: showcase.find('.vlt-swiper-button-next'),
				prevEl: showcase.find('.vlt-swiper-button-prev'),
			},
			pagination: {
				el: showcase.find('.vlt-showcase-pagination .total'),
				type: 'custom',
				renderCustom: function (swiper, current, total) {
					return VLTJS.addLedingZero(total);
				}
			},
			on: {
				init: function () {
					_mode_down_text(this.$el, swiper.params.speed);
					current.html(VLTJS.addLedingZero(swiper.realIndex + 1));
				},
				slideNextTransitionStart: function () {
					_mode_down_text(this.$el, swiper.params.speed);
				},
				slidePrevTransitionStart: function () {
					_mode_down_text(this.$el, swiper.params.speed);
				},
				slideChange: function () {
					var speed = (swiper.params.speed / 1000) / 2;

					// Pagination transform
					gsap.to(current, speed, {
						force3D: true,
						y: -10,
						opacity: 0,
						onComplete: function () {
							gsap.set(current, {
								y: 10
							});
							current.html(VLTJS.addLedingZero(swiper.realIndex + 1));
						}
					});

					gsap.to(current, speed, {
						force3D: true,
						y: 0,
						opacity: 1,
						delay: speed
					});

				}
			}
		});

		swiper.init();

		function _offset_navigation() {
			var container = $('.vlt-showcase-container')[0].getBoundingClientRect(),
				offsetLeft = container.left + 15;

			showcase.find('.vlt-swiper-button-prev, .vlt-showcase-link').css('left', offsetLeft);
			showcase.find('.vlt-swiper-button-next, .vlt-showcase-pagination').css('right', offsetLeft);
		}

		_offset_navigation();
		VLTJS.debounceResize(_offset_navigation);

	}

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-showcase-1.default',
			showcaseStyle1
		);
	});

})(jQuery);