/***********************************************
 * SHOWCASE: STYLE 2
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	// check if plugin defined
	if (typeof gsap == 'undefined') {
		return;
	}

	var showcaseStyle2 = function ($scope) {

		var showcase = $scope.find('.vlt-showcase--style-2'),
			items = showcase.find('.vlt-showcase-items'),
			images = showcase.find('.vlt-showcase-images'),
			current = showcase.find('.vlt-showcase-pagination .current');

		VLTJS.html.css('overflow', 'hidden');

		var swiperItems = new Swiper(items, {
			init: false,
			loop: false,
			initialSlide: 1,
			freeMode: true,
			spaceBetween: 500,
			grabCursor: true,
			slidesPerView: 'auto',
			speed: 900,
			autoplay: false,
			mousewheel: false,
			centeredSlides: true,
			navigation: {
				nextEl: showcase.find('.vlt-swiper-button-next'),
				prevEl: showcase.find('.vlt-swiper-button-prev'),
			},
			pagination: {
				el: showcase.find('.vlt-showcase-pagination .total'),
				type: 'custom',
				renderCustom: function (swiper, current, total) {
					return VLTJS.addLedingZero(total);
				}
			},
			on: {
				init: function () {
					current.html(VLTJS.addLedingZero(swiperItems.realIndex + 1));
				},
				slideChange: function () {
					var speed = (swiperItems.params.speed / 1000) / 2;

					// Pagination transform
					gsap.to(current, speed, {
						force3D: true,
						y: -10,
						opacity: 0,
						onComplete: function () {
							gsap.set(current, {
								y: 10
							});
							current.html(VLTJS.addLedingZero(swiperItems.realIndex + 1));
						}
					});

					gsap.to(current, speed, {
						force3D: true,
						y: 0,
						opacity: 1,
						delay: speed
					});

				}
			}
		});

		var swiperImages = new Swiper(images, {
			init: false,
			initialSlide: 1,
			loop: false,
			spaceBetween: 120,
			slidesPerView: 'auto',
			speed: 900,
			autoplay: false,
			centeredSlides: true
		});

		swiperItems.controller.control = swiperImages;
		swiperImages.controller.control = swiperItems;

		swiperItems.init();
		swiperImages.init();

		function _offset_navigation() {
			var container = $('.vlt-showcase-container')[0].getBoundingClientRect(),
				offsetLeft = container.left + 15;

			showcase.find('.vlt-showcase-link').css('left', offsetLeft);
			showcase.find('.vlt-showcase-pagination').css('right', offsetLeft);
		}

		_offset_navigation();
		VLTJS.debounceResize(_offset_navigation);

	}

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-showcase-2.default',
			showcaseStyle2
		);
	});

})(jQuery);