<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

$priority = 0;

/**
 * Advanced
 */
VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'jquery_in_footer',
	'section' => 'section_advanced',
	'label' => esc_html__( 'Load jQuery in footer', 'quollion' ),
	'description' => esc_html__( 'Solves render-blocking issue, however can cause plugin conflicts.', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'disable' => esc_html__( 'Disable', 'quollion' ),
		'enable' => esc_html__( 'Enable', 'quollion' ),
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'acf_show_admin_panel',
	'section' => 'section_advanced',
	'label' => esc_html__( 'Show ACF in Admin Panel', 'quollion' ),
	'description' => esc_html__( 'This field enable tab for ACF Professional in your dashboard.', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'hide' => esc_html__( 'Hide', 'quollion' ),
		'show' => esc_html__( 'Show', 'quollion' ),
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'color',
	'settings' => 'mobile_status_bar_color',
	'section' => 'section_advanced',
	'label' => esc_html__( 'Mobile Status Bar Colors', 'quollion' ),
	'description' => esc_html__( 'Field for address bar or device status bar to match your brand colors.', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '#eb2353',
) );


VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'comment_placement',
	'section' => 'section_advanced',
	'label' => esc_html__( 'Comment Placement', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'top' => esc_html__( 'Top', 'quollion' ),
		'bottom' => esc_html__( 'Bottom', 'quollion' )
	),
	'default' => 'bottom',
) );

VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => 'post_link_background',
	'section' => 'section_advanced',
	'label' => esc_html__( 'Post Link Background', 'quollion' ),
	'priority' => $priority++,
	'output' => array(
		array(
			'element' => '.vlt-post-link',
			'property' => 'background-image',
			'context' => array( 'editor', 'front' ),
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => 'post_quote_background',
	'section' => 'section_advanced',
	'label' => esc_html__( 'Post Quote Background', 'quollion' ),
	'priority' => $priority++,
	'output' => array(
		array(
			'element' => '.vlt-post-quote',
			'property' => 'background-image',
			'context' => array( 'editor', 'front' ),
		)
	)
) );