<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

$priority = 0;

/**
 * Blog general
 */
VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'sticky_sidebar',
	'section' => 'section_blog_general',
	'label' => esc_html__( 'Sticky Sidebar', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'quollion' ),
		'disable' => esc_html__( 'Disable', 'quollion' )
	),
	'default' => 'disable',
) );

/**
 * Blog page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_1',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'quollion' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'blog_layout',
	'section' => 'section_blog',
	'label' => esc_html__( 'Layout', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'quollion' ),
		'grid' => esc_html__( 'Grid', 'quollion' ),
		'masonry' => esc_html__( 'Masonry', 'quollion' )
	),
	'default' => 'default',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'blog_type_pagination',
	'section' => 'section_blog',
	'label' => esc_html__( 'Type Pagination', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'quollion' ),
		'paged' => esc_html__( 'Paged', 'quollion' ),
		'numeric' => esc_html__( 'Numeric', 'quollion' )
	),
	'default' => 'numeric',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_2',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Page Title', 'quollion' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'blog_title',
	'section' => 'section_blog',
	'label' => esc_html__( 'Blog Title', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => esc_html__( 'Blog', 'quollion' ),
) );

/**
 * Archive page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sa_1',
	'section' => 'section_archive',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'quollion' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'archive_layout',
	'section' => 'section_archive',
	'label' => esc_html__( 'Layout', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'quollion' ),
		'grid' => esc_html__( 'Grid', 'quollion' ),
		'masonry' => esc_html__( 'Masonry', 'quollion' )
	),
	'default' => 'grid',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'archive_type_pagination',
	'section' => 'section_archive',
	'label' => esc_html__( 'Type Pagination', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'quollion' ),
		'paged' => esc_html__( 'Paged', 'quollion' ),
		'numeric' => esc_html__( 'Numeric', 'quollion' )
	),
	'default' => 'numeric',
) );

/**
 * Search page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ss_1',
	'section' => 'section_search',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'quollion' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'search_layout',
	'section' => 'section_search',
	'label' => esc_html__( 'Layout', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'quollion' ),
		'grid' => esc_html__( 'Grid', 'quollion' ),
		'masonry' => esc_html__( 'Masonry', 'quollion' )
	),
	'default' => 'grid',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'search_type_pagination',
	'section' => 'section_search',
	'label' => esc_html__( 'Type Pagination', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'quollion' ),
		'paged' => esc_html__( 'Paged', 'quollion' ),
		'numeric' => esc_html__( 'Numeric', 'quollion' )
	),
	'default' => 'numeric',
) );

/**
 * Single post
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ssp_1',
	'section' => 'section_single_post',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'quollion' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'single_post_default_style',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Default Style', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'quollion' ),
		'default' => esc_html__( 'Style 1', 'quollion' ),
		'style-2' => esc_html__( 'Style 2', 'quollion' ),
		'style-3' => esc_html__( 'Style 3', 'quollion' ),
		'style-4' => esc_html__( 'Style 4', 'quollion' ),
		'style-5' => esc_html__( 'Style 5', 'quollion' ),
		'style-6' => esc_html__( 'Style 6', 'quollion' ),
		'style-7' => esc_html__( 'Style 7', 'quollion' ),
		'style-8' => esc_html__( 'Style 8', 'quollion' ),
		'style-9' => esc_html__( 'Style 9', 'quollion' )
	),
	'default' => 'none',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'about_author',
	'section' => 'section_single_post',
	'label' => esc_html__( 'About Author', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'quollion' ),
		'hide' => esc_html__( 'Hide', 'quollion' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'show_share_post',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Share', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'quollion' ),
		'hide' => esc_html__( 'Hide', 'quollion' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'also_like_posts',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Also Like Posts', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'quollion' ),
		'hide' => esc_html__( 'Hide', 'quollion' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ssp_2',
	'section' => 'section_single_post',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Comments', 'quollion' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => 'comments_background',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Comments Background', 'quollion' ),
	'priority' => $priority++,
	'output' => array(
		array(
			'element' => '.vlt-page-comments--style-1 .vlt-page-comments__form',
			'property' => 'background-image',
			'context' => array( 'editor', 'front' ),
		)
	)
) );

/**
 * Page 404
 */
VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'error_title',
	'section' => 'section_404',
	'label' => esc_html__( 'Error Title', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '404',
) );

VLT_Options::add_field( array(
	'type' => 'textarea',
	'settings' => 'error_subtitle',
	'section' => 'section_404',
	'label' => esc_html__( 'Error Subtitle', 'quollion' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => 'Oops! The page you are looking for does not exist 😿 It might have been moved or deleted.',
) );

VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => '404_background',
	'section' => 'section_404',
	'label' => esc_html__( '404 Background', 'quollion' ),
	'priority' => $priority++,
	'output' => array(
		array(
			'element' => '.vlt-page--404',
			'property' => 'background-image',
			'context' => array( 'editor', 'front' ),
		)
	)
) );