<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

/**
 * Required plugins
 */
if ( ! function_exists( 'quollion_tgm_plugins' ) ) {
	function quollion_tgm_plugins() {

		$source = 'https://vlthemes.me/plugins/';

		$plugins = array(
			array(
				'name' => esc_html__( 'Kirki', 'quollion' ),
				'slug' => 'kirki',
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Quollion Helper Plugin', 'quollion' ),
				'slug' => 'quollion_helper_plugin',
				'source' => esc_url( $source . 'quollion_helper_plugin.zip' ),
				'required' => true,
				'version' => '1.0.2'
			),
			array(
				'name' => esc_html__( 'Advanced Custom Fields Pro', 'quollion' ),
				'slug' => 'advanced-custom-fields-pro',
				'source' => esc_url( $source . 'advanced-custom-fields-pro.zip' ),
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Elementor Page Builder', 'quollion' ),
				'slug' => 'elementor',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Visual Portfolio', 'quollion' ),
				'slug' => 'visual-portfolio',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Contact Form 7', 'quollion' ),
				'slug' => 'contact-form-7',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'WooCommerce', 'quollion' ),
				'slug' => 'woocommerce',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Regenerate Thumbnails', 'quollion' ),
				'slug' => 'regenerate-thumbnails',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Classic Widgets', 'quollion' ),
				'slug' => 'classic-widgets',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'One Click Demo Import', 'quollion' ),
				'slug' => 'one-click-demo-import',
				'required' => false,
			)
		);

		tgmpa( $plugins );
	}
}
add_action( 'tgmpa_register', 'quollion_tgm_plugins' );

/**
 * Print notice if helper plugin is not installed
 */
if ( ! function_exists( 'quollion_helper_plugin_notice' ) ) {
	function quollion_helper_plugin_notice() {
		if ( class_exists( 'VLThemesHelperPlugin' ) ) {
			return;
		}
		echo '<div class="notice notice-info is-dismissible"><p>' . sprintf( __( 'Please activate <strong>%s</strong> before your work with this theme.', 'quollion' ), 'Quollion Helper Plugin' ) . '</p></div>';
	}
}
add_action( 'admin_notices', 'quollion_helper_plugin_notice' );