<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

$format = get_post_format();

if ( false == $format ) {
	$format = 'standard';
}

?>

<main class="vlt-main">

	<div class="vlt-page-content vlt-page-content--padding-bottom vlt-page-content--padding-top-sm">

		<article <?php post_class( 'vlt-single-post' ); ?>>

			<div class="container">

				<div class="row">

					<div class="col-lg-8 offset-lg-2">

						<header class="vlt-single-post__header text-center">

							<?php get_template_part( 'template-parts/single-post/partials/partial-post', 'heading' ); ?>

						</header>
						<!-- /.vlt-single-post__header -->

					</div>

					<div class="col-lg-12">

						<?php

							if ( has_post_thumbnail() ) {

								switch ( $format ) {

									case 'link':
										get_template_part( 'template-parts/single-post/media-title/media', 'style-link' );
									break;

									case 'quote':
										get_template_part( 'template-parts/single-post/media-title/media', 'style-quote' );
									break;

									case 'gallery':
										get_template_part( 'template-parts/single-post/media-title/media', 'style-gallery' );

									break;

									default:
										get_template_part( 'template-parts/single-post/media-title/media', 'style-standard' );

								}

							}

						?>

					</div>

					<div class="col-lg-8 offset-lg-2">

						<?php if ( has_post_thumbnail() && ( $format !== 'standard' && $format !== 'gallery' && $format !== 'quote' && $format !== 'link' ) ) : ?>

							<div class="vlt-single-post__media">

								<?php get_template_part( 'template-parts/single-post/partials/partial-post', 'media' ); ?>

							</div>
							<!-- /.vlt-single-post__media -->

						<?php endif; ?>

						<div class="vlt-single-post__content clearfix">

							<?php get_template_part( 'template-parts/single-post/partials/partial-post', 'content' ); ?>

						</div>
						<!-- /.vlt-single-post__content -->

						<footer class="vlt-single-post__footer">

							<?php get_template_part( 'template-parts/single-post/partials/partial-post', 'footer' ); ?>

						</footer>
						<!-- /.vlt-single-post__footer -->

						<?php

							if ( quollion_get_theme_mod( 'about_author' ) == 'show' ) {
								get_template_part( 'template-parts/single-post/sections/section', 'about-author' );
							}

						?>

					</div>

				</div>

			</div>

		</article>

	</div>
	<!-- /.vlt-page-content -->

	<?php

		if ( comments_open() || get_comments_number() ) {
			comments_template();
		}

	?>

	<?php

		if ( quollion_get_theme_mod( 'also_like_posts' ) == 'show' ) {
			get_template_part( 'template-parts/single-post/sections/section', 'also-like-3-columns' );
		}

	?>

</main>
<!-- /.vlt-main -->